[Haskell-cafe] Curious why "cabal upgrade parsec" not installing latest version

Duncan Coutts duncan.coutts at googlemail.com
Fri Sep 17 04:07:56 EDT 2010

On 17 September 2010 04:44, Peter Schmitz <ps.haskell at gmail.com> wrote:
> This gets a little hilarious (but better to laugh than cry).
> Well, I decided to try Parsec version 3 (i.e., 3.1.0) after all


> I did "cabal upgrade parsec", which went great.


> (This is where I began laughing instead of crying  :-)

For the benefit of other haskell-cafe readers I should note that
problems like this is why in the next release of cabal-install I have
removed the "upgrade" command entirely. It does not do what people
expect it to do. For the benefit of people used to using "upgrade",
cabal now tells them to use "install" instead.


More information about the Haskell-Cafe mailing list